duplicity_0.7.06-2ubuntu2_amd64.deb


Advertisement

Description

duplicity - encrypted bandwidth-efficient backup

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Main amd64
Package name: duplicity
Package version: 0.7.06
Package release: 2ubuntu2
Package architecture: amd64
Package type: deb
Installed size: 1.06 KB
Download size: 172.92 KB
Official Mirror: archive.ubuntu.com
Duplicity backs directories by producing encrypted tar-format volumes and uploading them to a remote or local file server. Because duplicity uses librsync, the incremental archives are space efficient and only record the parts of files that have changed since the last backup. Because duplicity uses GnuPG to encrypt and/or sign these archives, they will be safe from spying and/or modification by the server.

Alternatives

    Download

    Source package: duplicity

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install duplicity deb package:
      # sudo apt-get install duplicity

    Files

    • /usr/bin/duplicity
    • /usr/bin/rdiffdir
    • /usr/lib/python2.7/dist-packages/duplicity/__init__.py
    • /usr/lib/python2.7/dist-packages/duplicity/_librsync.so
    • /usr/lib/python2.7/dist-packages/duplicity/asyncscheduler.py
    • /usr/lib/python2.7/dist-packages/duplicity/backend.py
    • /usr/lib/python2.7/dist-packages/duplicity/cached_ops.py
    • /usr/lib/python2.7/dist-packages/duplicity/collections.py
    • /usr/lib/python2.7/dist-packages/duplicity/commandline.py
    • /usr/lib/python2.7/dist-packages/duplicity/compilec.py
    • /usr/lib/python2.7/dist-packages/duplicity/diffdir.py
    • /usr/lib/python2.7/dist-packages/duplicity/dup_temp.py
    • /usr/lib/python2.7/dist-packages/duplicity/dup_threading.py
    • /usr/lib/python2.7/dist-packages/duplicity/dup_time.py
    • /usr/lib/python2.7/dist-packages/duplicity/errors.py
    • /usr/lib/python2.7/dist-packages/duplicity/file_naming.py
    • /usr/lib/python2.7/dist-packages/duplicity/filechunkio.py
    • /usr/lib/python2.7/dist-packages/duplicity/globals.py
    • /usr/lib/python2.7/dist-packages/duplicity/gpg.py
    • /usr/lib/python2.7/dist-packages/duplicity/gpginterface.py
    • /usr/lib/python2.7/dist-packages/duplicity/lazy.py
    • /usr/lib/python2.7/dist-packages/duplicity/librsync.py
    • /usr/lib/python2.7/dist-packages/duplicity/log.py
    • /usr/lib/python2.7/dist-packages/duplicity/manifest.py
    • /usr/lib/python2.7/dist-packages/duplicity/patchdir.py
    • /usr/lib/python2.7/dist-packages/duplicity/path.py
    • /usr/lib/python2.7/dist-packages/duplicity/progress.py
    • /usr/lib/python2.7/dist-packages/duplicity/robust.py
    • /usr/lib/python2.7/dist-packages/duplicity/selection.py
    • /usr/lib/python2.7/dist-packages/duplicity/statistics.py
    • /usr/lib/python2.7/dist-packages/duplicity/tarfile.py
    • /usr/lib/python2.7/dist-packages/duplicity/tempdir.py
    • /usr/lib/python2.7/dist-packages/duplicity/util.py
    • /usr/lib/python2.7/dist-packages/duplicity-0.7.6.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/duplicity-0.7.6.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/duplicity-0.7.6.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/duplicity-0.7.6.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/duplicity/backends/__init__.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/_boto_multi.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/_boto_single.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/_cf_cloudfiles.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/_cf_pyrax.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/azurebackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/b2backend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/botobackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/cfbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/copycombackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/dpbxbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/gdocsbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/giobackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/hsibackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/hubicbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/imapbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/lftpbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/localbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/megabackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/multibackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/ncftpbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/onedrivebackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/par2backend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/pydrivebackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/rsyncbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/ssh_paramiko_backend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/ssh_pexpect_backend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/swiftbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/sxbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/tahoebackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/webdavbackend.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/pyrax_identity/__init__.py
    • /usr/lib/python2.7/dist-packages/duplicity/backends/pyrax_identity/hubic.py
    • /usr/share/doc/duplicity/NEWS.Debian.gz
    • /usr/share/doc/duplicity/README-LOG
    • /usr/share/doc/duplicity/changelog.Debian.gz
    • /usr/share/doc/duplicity/copyright
    • /usr/share/doc/duplicity/examples/system-backup.gz
    • /usr/share/man/man1/duplicity.1.gz
    • /usr/share/man/man1/rdiffdir.1.gz

    Changelog

    2016-02-18 - Michael Terry <mterry@ubuntu.com> duplicity (0.7.06-2ubuntu2) xenial; urgency=medium * debian/patches/fix-some-tests.patch: - Fix a test's use of tempfile to make sure the directory used exists first.

    2016-02-17 - Michael Terry <mterry@ubuntu.com> duplicity (0.7.06-2ubuntu1) xenial; urgency=low * Merge from Debian unstable. Remaining changes: - Enable tests during build - Add simple dep8 test that does a backup/restore cycle - Drop Recommends for various backends to Suggests - debian/patches/{01-reverify,02-unicode}: Disabled, upstream fixed the bugs these patches work around - debian/patches/skip-some-tests.patch: Skip flaky tests and tests that use par2, which is in universe

    2016-02-17 - Alexander Zangerl <az@debian.org> duplicity (0.7.06-2) unstable; urgency=low * make the gpg passphrase prompt a bit more informative/consistent (closes: #814573)

    2016-01-15 - Alexander Zangerl <az@debian.org> duplicity (0.7.06-1) unstable; urgency=low * New upstream release (closes: #799237, #810675)

    2015-11-07 - Alexander Zangerl <az@debian.org> duplicity (0.7.05-2) unstable; urgency=high * repaired packaging mistake (the lockfile versioned dependency didn't include the epoch) (closes: #804282)

    2015-11-04 - Michael Terry <mterry@ubuntu.com> duplicity (0.7.05-1ubuntu2) xenial; urgency=medium * debian/patches/skip-some-tests.patch: Skip another couple flaky tests that relied on the compressed size of a random stream of bytes. Fixes FTBFS.

    2015-11-04 - Michael Terry <mterry@ubuntu.com> duplicity (0.7.05-1ubuntu1) xenial; urgency=low * Merge from Debian unstable. Remaining changes: - Enable tests during build - Add simple dep8 test that does a backup/restore cycle - Drop Recommends for various backends to Suggests - debian/patches/{01-reverify,02-unicode}: Disabled, upstream fixed the bugs these patches work around - debian/patches/skip-some-tests.patch: Skip a flaky test and tests that use par2, which is in universe

    2015-10-26 - Alexander Zangerl <az@debian.org> duplicity (0.7.05-1) unstable; urgency=low * New upstream release * updated for newer python-lockfile api (closes: #789550)

    2015-06-07 - Alexander Zangerl <az@debian.org> duplicity (0.7.03-1) unstable; urgency=low * New upstream release

    2015-05-11 - Alexander Zangerl <az@debian.org> duplicity (0.7.02-2) unstable; urgency=low * fix upstream regression introduced in revision 1070 (closes: #784814)

    Advertisement
    Advertisement